## epydoc 3.0.1

=== debian/changelog ===
epydoc (3.0.1-9) unstable; urgency=low

  * Bump standards version to 3.9.1.0 (no packaging changes).
  * Do a better job of handling special latex entries (closes: #614570).
    - Apply debian/patches/special-latex-entries.patch
    - Patch provided by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 02 Mar 2011 16:41:50 +0000

epydoc (3.0.1-8) unstable; urgency=low

  * Revise manpages.patch based on better understanding of GROFF hyphens.
  * Apply python26-tokenizer.patch to fix Epydoc tokenizer (closes: #590112).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Jul 2010 16:04:00 +0000

epydoc (3.0.1-7) unstable; urgency=low

  * Tweak manpage syntax based on advice from Lintian (manpages.patch).
  * Remove version numbers in Conflicts: to quiet Lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 11 Jul 2010 01:54:23 +0000

epydoc (3.0.1-6) unstable; urgency=low

  * Tweak short description to better match official recommendations.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format 
    - Add new patch debian/patches/mention-debian.patch
    - Add new patch debian/patches/remove-shebang.patch
    - Add new patch debian/patches/handle-docutils-0.6.patch
    - Add new patch debian/patches/string-exceptions.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:27:23 -0500

epydoc (3.0.1-5) unstable; urgency=low

  * Replace deprecated string exception in apidoc.py (closes: #585290).
  * Bump standards version to 3.8.4 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jun 2010 13:17:07 -0500

epydoc (3.0.1-4) unstable; urgency=low

  * Bump standards version to 3.8.3 (no packaging changes).
  * Add ${misc:Depends} for all binary packages, per lintian recommendation.
  * Apply patch to fix problems with docutils 0.6 (closes: #561793).
    - Thanks to Thomas Hille for research and the initial patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 31 Dec 2009 02:56:36 +0000

epydoc (3.0.1-3) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:10:30 -0500

epydoc (3.0.1-2) unstable; urgency=low

  * Add Suggests: python-profiler to support call graphs (closes: #506756)
  * List explicit copyright statement in debian/copyright, to quiet lintian.
  * Move user manual to Programming section in doc-base configuration.
  * Bump standards version to 3.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  8 Dec 2008 18:56:47 -0600

epydoc (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Removed #! from top of epydoc/gui.py
  * Got rid of version mangling in debian/watch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Feb 2008 13:22:12 -0600

epydoc (3.0~beta1-5) unstable; urgency=low

  * Recommend python-docutils, for reStructuredText markup (closes: #449525).
  * Use qa.debian.org redirector in debian/watch, so SourceForge URL works.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 18 Nov 2007 18:11:59 -0600

epydoc (3.0~beta1-4) unstable; urgency=low

  * Apply a better fix for #441368 (provided by upstream).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 14:01:07 -0500

epydoc (3.0~beta1-3) unstable; urgency=low

  * Remove debian/watch file, which doesn't work any more (thanks, Sourceforge).
  * Apply selected changes from upstream's Subversion repository:
    - Fixes for identifiers containing dashes, svn rev 1606 (closes: #433424)
    - Fixes for indexed terms, svn rev 1603 (closes: #441368)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Sep 2007 10:23:46 -0500

epydoc (3.0~beta1-2) unstable; urgency=low

  * Put back several single-character command-line options (closes: #433804).
    - Patch cli.py to support the -u and -c options (match the manpage)
    - Patch cli.py, doc/epydoc-man.html and man/epydoc.1 to support the -n option
    - Submitted patches to upstream in SF bug #1760001

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 24 Jul 2007 20:07:18 -0500

epydoc (3.0~beta1-1) unstable; urgency=low

  * Package 3.0 beta 1 release (closes: #425193).
    - Change README.TXT to README.txt in debian/*.docs  
    - Skip installing apirst2html.py until I understand its purpose better
    - Remove dh_links call in debian/rules, since it's not really needed
    - Change debian/control to add Recommends: graphviz (needed for --graph)
    - Thanks to Cameron Dale for initial package upgrade patch 

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  9 Jul 2007 21:00:30 -0500

epydoc (2.1-13) unstable; urgency=low

  * Completely rework previous fix for bug #425077 based on further testing.
    - texlive-latex-base is not enough; add texlive-latex-extra, 
      texlive-latex-recommended and texlive-fonts-recommended so
      everything works and the package gets installed cleanly
    - Patch latex.py to use fancyhdr, since fancyheadings isn't in texlive
    - Update README.Debian to reflect changes in recommended dependencies.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 18:20:26 -0500

epydoc (2.1-12) unstable; urgency=low

  * Bring Recommends dependencies up to date with lenny (closes: #425077).
    - Recommend texlive-latex-base rather than obsolete tetex-extra
    - Recommend gs-common rather than gs-esp | gs, since this is where ps2pdf lives
    - Recommend iceweasel | www-browser rather than mozilla | www-browser

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  3 Jun 2007 14:02:45 -0500

epydoc (2.1-11) unstable; urgency=low


