=== debian/control ===
Source: epydoc
Section: python
Priority: optional
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: http://epydoc.sourceforge.net/
Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
Standards-Version: 3.9.1.0

Package: python-epydoc
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: gs-common, python-tk, python-docutils, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, graphviz
Suggests: epydoc-doc, python-profiler
Conflicts: python2.3-epydoc, python2.2-epydoc, python2.1-epydoc
Replaces: python2.3-epydoc (<< 2.0-2), python2.2-epydoc (<< 2.0-2), python2.1-epydoc (<< 2.0-2)
Description: tool for documenting Python modules
 Epydoc is a tool for generating API documentation for Python modules based on
 their docstrings.  A lightweight markup language called epytext can be used to
 format docstrings and to add information about specific fields, such as
 parameters and instance variables.  Epydoc also understands docstrings written
 in ReStructuredText, Javadoc, and plaintext. 
 .
 This package contains the epydoc and epydocgui commands, their manpages, and
 their associated Python modules.  

Package: epydoc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: iceweasel | www-browser
Description: tool for documenting Python modules (documentation)
 Epydoc is a tool for generating API documentation for Python modules based on
 their docstrings.  A lightweight markup language called epytext can be used to
 format docstrings and to add information about specific fields, such as
 parameters and instance variables.  Epydoc also understands docstrings written
 in ReStructuredText, Javadoc, and plaintext.
 .
 This package contains the API reference and usage information for Epydoc, all
 available through the Debian documentation system (dhelp, dwww, doc-central,
 etc.) in the Devel section.
