=== debian/changelog ===
epydoc (3.0.1+dfsg-17) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).
  * Add Lintian override for warning about Python 2 dependency.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:35:12 +0000

epydoc (3.0.1+dfsg-16) unstable; urgency=medium

  * Start dealing with the fact that Epydoc has no support for Python 3.
    - Add NEWS.Debian to nudge users toward discontinuing use of Epydoc
    - Add Lintian override for python-foo-but-no-python3-foo
  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 20:39:48 +0000

epydoc (3.0.1+dfsg-15) unstable; urgency=medium

  * Fix manpage typos discovered by Lintian.
  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 20:46:17 +0000

epydoc (3.0.1+dfsg-14) unstable; urgency=medium

  * Fix line endings in deterministic-sort-2.patch.
  * Add new patch weakref-types.patch (closes: #827416).
    - This is a request from the Reproducible Builds project
    - This patch removes memory addresses for weakref.* instances

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 16 Jun 2016 06:47:36 -0500

epydoc (3.0.1+dfsg-13) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Add new patch manpage-types.patch.
    - This patch fixes several misspellings discovered by Lintian.
  * Add new patch deterministic-sort-2.patch (closes: #825968).
    - This is a request from the Reproducible Builds project
    - This patch makes several more types of ordering deterministic
  * Change X-Python-Version from 2.1 to 2.4 in debian/control.
    - This is necessary to support deterministic-sort-2.patch
    - Practically, there is no effect, since Debian only has Python 2.7

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 13 Jun 2016 11:29:34 -0500

epydoc (3.0.1+dfsg-12) unstable; urgency=medium

  * Rename honour_source_date_epoch.patch to source-date.patch
  * Adjust build-time.patch so comments are more consistent with other patches.
  * Adjust source-date.patch so comments are more consistent with other patches.
  * Add new patch deterministic-sort.patch (closes: #795835).
    - This is a request from the Reproducible Builds project
    - This patch makes class and modules ordering predictable
  * Add new patch hide-memory-addresses.patch (closes: #795826).
    - This is a request from the Reproducible Builds project
    - This patch fixes __repr__ so memory addresses don't appear in docs

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 17 Aug 2015 21:01:13 -0500

epydoc (3.0.1+dfsg-11) unstable; urgency=medium

  * Remove diffutils from build deps; not necessary because it's essential.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:12:45 -0500

epydoc (3.0.1+dfsg-10) unstable; urgency=medium

  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Update debian/rules to run smoke tests via debian/smoketest
    - Add build deps on diffutils to support the smoke tests

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 20:28:07 +0000

epydoc (3.0.1+dfsg-9) unstable; urgency=medium

  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:53:49 -0500

epydoc (3.0.1+dfsg-8) unstable; urgency=medium

  * Add patches/honour_source_date_epoch.patch (closes: #790899)
    - This is a request from the Reproducible Builds project
    - The new patch adds support for SOURCE_DATE_EPOCH to generate timestamps.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Jul 2015 15:37:33 +0000

epydoc (3.0.1+dfsg-7) unstable; urgency=medium

  * Update Recommends and Suggests for both python-epydoc and epydoc-doc.
    - epydoc-doc: Recommend the chromium browser rather than iceweasel, since
      that is the browser I test with day-to-day. 
    - python-epydoc: move ghostscript and texlive dependencies to Suggests to
      reduce the minimum install size for typical users (texlive is huge).
  * Update the Description for python-epydoc.
    - Update the description to indicate that suggested dependencies must be
      installed to generate documentation in DVI, PostScript, or PDF format
      using the LaTeX formatter.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 May 2015 16:57:28 +0000

epydoc (3.0.1+dfsg-6) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Update debian/copyright to list 2015 as the copyright date on my changes.
  * Add dh-python to Build-Depends, to silence build-time warning.
  * Add patches/build-time.patch (closes: #783326).
    - This is a request from the Reproducible Builds project
    - The new patch adds a new --no-include-build-time command-line option

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 28 Apr 2015 13:18:13 +0000

epydoc (3.0.1+dfsg-5) unstable; urgency=medium

  * Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 19:52:32 +0000

epydoc (3.0.1+dfsg-4) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).
  * Fix Lintian warning privacy-breach-logo for doc/index.html.
    - Add new patch patches/lintian.patch
    - Remove <IMG src="http://sourceforge.net/sflogo.php?group_id=32455&type=1">
    - Replace with simple text "SourceForge", with no privacy implications

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:39:10 -0600


