=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://epydoc.sourceforge.net/
-Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
-Standards-Version: 3.9.1.0
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), dh-python
+Standards-Version: 4.1.3.0
+X-Python-Version: >= 2.4
+Vcs-Browser: https://salsa.debian.org/debian/epydoc
+Vcs-Git: https://salsa.debian.org/debian/epydoc.git
 
 Package: python-epydoc
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Recommends: gs-common, python-tk, python-docutils, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, graphviz
-Suggests: epydoc-doc, python-profiler
+Recommends: python-tk, python-docutils, graphviz
+Suggests: epydoc-doc, python-profiler, ghostscript, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
 Conflicts: python2.3-epydoc, python2.2-epydoc, python2.1-epydoc
 Replaces: python2.3-epydoc (<< 2.0-2), python2.2-epydoc (<< 2.0-2), python2.1-epydoc (<< 2.0-2)
 Description: tool for documenting Python modules
@@ -22,12 +25,16 @@
  .
  This package contains the epydoc and epydocgui commands, their manpages, and
  their associated Python modules.  
+ .
+ Epydoc supports two output formatters: HTML and LaTeX.  You must install the
+ suggested dependencies in order to generate documentation in DVI, PostScript,
+ or PDF format using the LaTeX formatter.
 
 Package: epydoc-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: iceweasel | www-browser
+Recommends: chromium | www-browser
 Description: tool for documenting Python modules (documentation)
  Epydoc is a tool for generating API documentation for Python modules based on
  their docstrings.  A lightweight markup language called epytext can be used to
