=== debian/tests/control ===
# Build Epydoc documentation for a sample Python module
Tests: htmldocs
Depends: @, diffutils
