=== debian/watch ===
# This watch file uses the qa.debian.org redirector so that SourceForge URLs work
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/epydoc/epydoc-(.*)\.tar\.gz
